unit TestControl;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs;

type

  { TTestControl }

  TTestControl = class(TCustomControl)
  private

  protected
  procedure MouseDown(Button: TMouseButton;Shift: TShiftState; X, Y: Integer);override;
  procedure MouseUp(Button: TMouseButton;Shift: TShiftState; X, Y: Integer);override;
  procedure MouseEnter;override;
  procedure Paint; override;
  public
  constructor Create(AOwner: TComponent); override;
  published

  end;

procedure Register;

implementation

procedure Register;
begin
  {$I testcontrol_icon.lrs}
  RegisterComponents('Standard',[TTestControl]);
end;

{ TTestControl }

procedure TTestControl.MouseDown(Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
  inherited MouseDown(Button, Shift, X, Y);
  //showmessage('TestKomponente_MouseDown');
end;

procedure TTestControl.MouseUp(Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
  inherited MouseUp(Button, Shift, X, Y);
  showmessage('TestKomponente_MouseUp');
end;

procedure TTestControl.MouseEnter;  //geht ohne Problem
begin
  inherited MouseEnter;
  //showmessage('Maus in Komponente');
end;

procedure TTestControl.Paint;
begin
  inherited Paint;
  self.Brush.Color:=clwhite;

end;

constructor TTestControl.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

end;

end.
